package epson.scan.lib;

import android.content.Context;

import com.epson.mobilephone.common.wifidirect.WiFiDirectManager;

public class ScannerConnection {
    public static void disconnectIfSimpleAp(Context context, String str) {
        if (WiFiDirectManager.isSimpleAP(context)) {
            try {
                Thread.sleep(5000);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            WiFiDirectManager.disconnect(context, WiFiDirectManager.DEVICE_TYPE_SCANNER, str);
        }
    }
}
